# Generated from fcgi-0.8.7.gem by gem2rpm -*- rpm-spec -*-
%define gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%define gemname fcgi
%define geminstdir %{gemdir}/gems/%{gemname}-%{version}
%define ruby_sitearch %(ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']")
%define _enable_debug_packages 0

Summary: FastCGI library for Ruby
Name: rubygem-%{gemname}

Version: 0.8.7
Release: 1%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: http://rubyforge.org/projects/fcgi/
Source0: %{gemname}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
Requires: rubygems
Requires: fcgi
BuildRequires: rubygems ruby-devel
BuildRequires: fcgi-devel
Provides: rubygem(%{gemname}) = %{version}

%description
FastCGI is a language independent, scalable, open extension to CGI that
provides high performance without the limitations of server specific APIs. For
more information, see http://www.fastcgi.com/.


%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}
install -d -m0755 %{buildroot}%{ruby_sitearch}
mv %{buildroot}%{geminstdir}/lib/fcgi.so %{buildroot}%{ruby_sitearch}
chmod 0755 %{buildroot}%{ruby_sitearch}/fcgi.so
rm -rf %{buildroot}%{geminstdir}/ext
strip %{buildroot}%{ruby_sitearch}/fcgi.so

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%{ruby_sitearch}/fcgi.so
%dir %{geminstdir}
%doc %{gemdir}/doc/%{gemname}-%{version}
%{geminstdir}/lib/
%doc %{geminstdir}/ChangeLog
%doc %{geminstdir}/README
%doc %{geminstdir}/README.signals
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec


%changelog
* Wed Sep 10 2014 Alexandre Tremblay <sw@telcobridges.com> - 0.8.7-1
- Repackage for CentOS 7

* Thu Mar 06 2008 Stephane Potvin <spotvin@leia> - 0.8.7-1
- Initial package
